import java.applet.*;
import java.awt.*;
import java.lang.*;
import java.util.*;


class InputSignal extends Vector
{
	final static int ADD	= 1;
	final static int RENAME = 2;

	private int 	mode;
	private String	selectedInput;

	public InputSignal(int a, int b)
	{
		super(a, b);

		mode = ADD;
		selectedInput = (String) null;

		System.out.println("inputSignal hat " + elementCount + " Elemente.");
	}

	public void setMode (int i)
	{
		mode = i;
	}

	public void handleInput (String newName)
	{
		switch (mode)
		{
			case ADD:
				add(newName);
				break;
			case RENAME:
				rename(newName);
				break;
		}
	}

	public void select (String s)
	{
		selectedInput = s;
	}

	public void rename (String newName)
	{
		if ((selectedInput != (String) null) && (newName != (String) null))
		{
			int i = indexOf(selectedInput);
			if (i != -1)
				setElementAt(newName, i);
		}
	}

	public void add (String addName)
	{
		if (addName != (String) null)
		{
			int i = indexOf(addName);
			System.out.println("inputSignal.add ermittelte " + i);
			if (i == -1) // no element with this name
				addElement(addName);
		}
	}

	public void delete (String del)
	{
		if (del != (String) null)
			System.out.println("Elemente in inputSignal: " + size());
			removeElement(del);
			System.out.println("Elemente in inputSignal: " + size());
	}

} /* end InputSignal */
