import java.applet.*;
import java.awt.*;
import java.lang.*;
import java.util.*;
import java.io.*;
import java.net.*;


class PatienceThread extends Thread
{

	private PatienceBox	patienceBox;
	private long		delay;

	public PatienceThread(long del, PatienceBox pab)
	{
		super();
		delay = del;
		patienceBox = pab;

		System.out.println("patienceThread instanziiert.");
    } /* end PatienceThread */

    public void run()
    {
    	while (true)
    	{
	    	try
	    	{
	    		sleep(delay);
	    	}
	    	catch (InterruptedException e) {};
	    	
    		System.out.println("patienceThread aufgewacht.");
    		patienceBox.dots.append("|");
    		String temp = patienceBox.dots.toString();
    		patienceBox.dotLabel.setText(temp);
    		int w = patienceBox.size().width;
    		Graphics g = patienceBox.getGraphics();
        	if (w - g.getFontMetrics().stringWidth(temp) - 60 < 0)
        		patienceBox.dots = new StringBuffer("");
    	}
    }

    public void hideBox()
    {
    	patienceBox.hide();
    }

} /* end PatienceThread */

